Tickets
support
Support ticket list, create, view, and reply requests.
List all tickets
PUT
Authenticated
Lists support tickets for the authenticated account.
Request URL
https://api.creeper.host/support/fetchticketsHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"limit": 15
}
Response 200
{
"status": "success",
"tickets": null,
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Create new ticket
PUT
Authenticated
Opens a new support ticket.
Request URL
https://api.creeper.host/support/openticketHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"subject": "Ticket subject",
"content": "Ticket content",
"dept": "technicalsupport"
}
Response 200
{
"status": "success",
"includedLogs": false,
"ticketID": 210244,
"otherID": 414921,
"endPoint": "aries-production-59c48bc84-hpqw4"
}
View ticket
PUT
Authenticated
Returns a single support ticket and its replies.
Request URL
https://api.creeper.host/support/viewticketHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"id": "210244"
}
Response 200
{
"ticketid": "210244",
"tid": "414921",
"deptname": "Technical Support",
"subject": "Ticket subject",
"status": "success",
"priority": "Low",
"ticketStatus": "Open",
"replies": {
"reply": [
{
"name": "First Last",
"message": "<p>Ticket message</p>",
"plain": "Ticket message"
}
]
},
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Reply to ticket
PUT
Authenticated
Adds a reply to an existing support ticket.
Request URL
https://api.creeper.host/support/replyticketHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"id": "210244",
"content": "Ticket reply content"
}
Response 200
{
"status": "success",
"endPoint": "aries-production-59c48bc84-hpqw4"
}